Knips logoKnips API

Upsert collection

Creates a collection, or updates the existing one when a matching id or externalId is found in the feed.

POST
/feeds/{feedId}/collections

Creates a collection, or updates the existing one when a matching id or externalId is found in the feed.

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

feedId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

customProperties?

Construct a type with a set of properties K of type T

source?string
handle?string
bodyHtml?string
externalId?string
id?string
title*string
curl -X POST "https://example.com/feeds/string/collections" \  -H "Content-Type: application/json" \  -d '{    "title": "string"  }'
{  "id": "string"}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}